// Copyright 2013 The Ebiten Authors
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Code generated by genkeys.go using 'go generate'. DO NOT EDIT.

package mobile

import (
	"golang.org/x/mobile/event/key"

	"github.com/hajimehoshi/ebiten/internal/driver"
)

var gbuildKeyToDriverKey = map[key.Code]driver.Key{
	key.CodeA:                  driver.KeyA,
	key.CodeB:                  driver.KeyB,
	key.CodeC:                  driver.KeyC,
	key.CodeD:                  driver.KeyD,
	key.CodeE:                  driver.KeyE,
	key.CodeF:                  driver.KeyF,
	key.CodeG:                  driver.KeyG,
	key.CodeH:                  driver.KeyH,
	key.CodeI:                  driver.KeyI,
	key.CodeJ:                  driver.KeyJ,
	key.CodeK:                  driver.KeyK,
	key.CodeL:                  driver.KeyL,
	key.CodeM:                  driver.KeyM,
	key.CodeN:                  driver.KeyN,
	key.CodeO:                  driver.KeyO,
	key.CodeP:                  driver.KeyP,
	key.CodeQ:                  driver.KeyQ,
	key.CodeR:                  driver.KeyR,
	key.CodeS:                  driver.KeyS,
	key.CodeT:                  driver.KeyT,
	key.CodeU:                  driver.KeyU,
	key.CodeV:                  driver.KeyV,
	key.CodeW:                  driver.KeyW,
	key.CodeX:                  driver.KeyX,
	key.CodeY:                  driver.KeyY,
	key.CodeZ:                  driver.KeyZ,
	key.Code1:                  driver.Key1,
	key.Code2:                  driver.Key2,
	key.Code3:                  driver.Key3,
	key.Code4:                  driver.Key4,
	key.Code5:                  driver.Key5,
	key.Code6:                  driver.Key6,
	key.Code7:                  driver.Key7,
	key.Code8:                  driver.Key8,
	key.Code9:                  driver.Key9,
	key.Code0:                  driver.Key0,
	key.CodeReturnEnter:        driver.KeyEnter,
	key.CodeEscape:             driver.KeyEscape,
	key.CodeDeleteBackspace:    driver.KeyBackspace,
	key.CodeTab:                driver.KeyTab,
	key.CodeSpacebar:           driver.KeySpace,
	key.CodeHyphenMinus:        driver.KeyMinus,
	key.CodeEqualSign:          driver.KeyEqual,
	key.CodeLeftSquareBracket:  driver.KeyLeftBracket,
	key.CodeRightSquareBracket: driver.KeyRightBracket,
	key.CodeBackslash:          driver.KeyBackslash,
	key.CodeSemicolon:          driver.KeySemicolon,
	key.CodeApostrophe:         driver.KeyApostrophe,
	key.CodeGraveAccent:        driver.KeyGraveAccent,
	key.CodeComma:              driver.KeyComma,
	key.CodeFullStop:           driver.KeyPeriod,
	key.CodeSlash:              driver.KeySlash,
	key.CodeCapsLock:           driver.KeyCapsLock,
	key.CodeF1:                 driver.KeyF1,
	key.CodeF2:                 driver.KeyF2,
	key.CodeF3:                 driver.KeyF3,
	key.CodeF4:                 driver.KeyF4,
	key.CodeF5:                 driver.KeyF5,
	key.CodeF6:                 driver.KeyF6,
	key.CodeF7:                 driver.KeyF7,
	key.CodeF8:                 driver.KeyF8,
	key.CodeF9:                 driver.KeyF9,
	key.CodeF10:                driver.KeyF10,
	key.CodeF11:                driver.KeyF11,
	key.CodeF12:                driver.KeyF12,
	key.CodePause:              driver.KeyPause,
	key.CodeInsert:             driver.KeyInsert,
	key.CodeHome:               driver.KeyHome,
	key.CodePageUp:             driver.KeyPageUp,
	key.CodeDeleteForward:      driver.KeyDelete,
	key.CodeEnd:                driver.KeyEnd,
	key.CodePageDown:           driver.KeyPageDown,
	key.CodeRightArrow:         driver.KeyRight,
	key.CodeLeftArrow:          driver.KeyLeft,
	key.CodeDownArrow:          driver.KeyDown,
	key.CodeUpArrow:            driver.KeyUp,
	key.CodeKeypadNumLock:      driver.KeyNumLock,
	key.CodeKeypadSlash:        driver.KeyKPDivide,
	key.CodeKeypadAsterisk:     driver.KeyKPMultiply,
	key.CodeKeypadHyphenMinus:  driver.KeyKPSubtract,
	key.CodeKeypadPlusSign:     driver.KeyKPAdd,
	key.CodeKeypadEnter:        driver.KeyKPEnter,
	key.CodeKeypad1:            driver.KeyKP1,
	key.CodeKeypad2:            driver.KeyKP2,
	key.CodeKeypad3:            driver.KeyKP3,
	key.CodeKeypad4:            driver.KeyKP4,
	key.CodeKeypad5:            driver.KeyKP5,
	key.CodeKeypad6:            driver.KeyKP6,
	key.CodeKeypad7:            driver.KeyKP7,
	key.CodeKeypad8:            driver.KeyKP8,
	key.CodeKeypad9:            driver.KeyKP9,
	key.CodeKeypad0:            driver.KeyKP0,
	key.CodeKeypadFullStop:     driver.KeyKPDecimal,
	key.CodeKeypadEqualSign:    driver.KeyKPEqual,
	key.CodeLeftControl:        driver.KeyLeftControl,
	key.CodeLeftShift:          driver.KeyLeftShift,
	key.CodeLeftAlt:            driver.KeyLeftAlt,
	key.CodeRightControl:       driver.KeyRightControl,
	key.CodeRightShift:         driver.KeyRightShift,
	key.CodeRightAlt:           driver.KeyRightAlt,
}
